taccuino.vo

## Class NotaResponseDTO

- java.lang.Object
- - taccuino.vo.NotaRequestDTO
  - - taccuino.vo.NotaResponseDTO

-     public class NotaResponseDTO
      extends NotaRequestDTO

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotaResponseDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContattiStruttureResponseDTO` | `getContatti()`
    `DocumentoResponseDTO` | `getDocumento()`
    `FarmaciIntegratoriResponseDTO` | `getFarmaciIntegratori()`
    `java.lang.String` | `getId()`
    `InformazioniPersonaliResponseDTO` | `getInformazioniPersonali()`
    `OsservazioniPersonaliResponseDTO` | `getOsservazioniPersonali()`
    `java.util.List<ProtesiAusilioResponseDTO>` | `getProtesiAusili()`
    `java.time.LocalDateTime` | `getTsAggiornamento()`
    `java.time.LocalDateTime` | `getTsCreazione()`
    `void` | `setContatti(ContattiStruttureResponseDTO contatti)`
    `void` | `setDocumento(DocumentoResponseDTO documento)`
    `void` | `setFarmaciIntegratori(FarmaciIntegratoriResponseDTO farmaciIntegratori)`
    `void` | `setId(java.lang.String id)`
    `void` | `setInformazioniPersonali(InformazioniPersonaliResponseDTO informazioniPersonali)`
    `void` | `setOsservazioniPersonali(OsservazioniPersonaliResponseDTO osservazioniPersonali)`
    `void` | `setProtesiAusili(java.util.List<ProtesiAusilioResponseDTO> protesiAusili)`
    `void` | `setTsAggiornamento(java.time.LocalDateTime tsAggiornamento)`
    `void` | `setTsCreazione(java.time.LocalDateTime tsCreazione)`

    - ### Methods inherited from class taccuino.vo.NotaRequestDTO

      `getDescrizione, getTitolo, setDescrizione, setTitolo`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotaResponseDTO

          public NotaResponseDTO()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getTsCreazione

          public java.time.LocalDateTime getTsCreazione()

    - #### setTsCreazione

          public void setTsCreazione(java.time.LocalDateTime tsCreazione)

    - #### getTsAggiornamento

          public java.time.LocalDateTime getTsAggiornamento()

    - #### setTsAggiornamento

          public void setTsAggiornamento(java.time.LocalDateTime tsAggiornamento)

    - #### getDocumento

          public DocumentoResponseDTO getDocumento()

    - #### setDocumento

          public void setDocumento(DocumentoResponseDTO documento)

    - #### getOsservazioniPersonali

          public OsservazioniPersonaliResponseDTO getOsservazioniPersonali()

    - #### setOsservazioniPersonali

          public void setOsservazioniPersonali(OsservazioniPersonaliResponseDTO osservazioniPersonali)

    - #### getContatti

          public ContattiStruttureResponseDTO getContatti()

    - #### setContatti

          public void setContatti(ContattiStruttureResponseDTO contatti)

    - #### getFarmaciIntegratori

          public FarmaciIntegratoriResponseDTO getFarmaciIntegratori()

    - #### setFarmaciIntegratori

          public void setFarmaciIntegratori(FarmaciIntegratoriResponseDTO farmaciIntegratori)

    - #### getInformazioniPersonali

          public InformazioniPersonaliResponseDTO getInformazioniPersonali()

    - #### setInformazioniPersonali

          public void setInformazioniPersonali(InformazioniPersonaliResponseDTO informazioniPersonali)

    - #### getProtesiAusili

          public java.util.List<ProtesiAusilioResponseDTO> getProtesiAusili()

    - #### setProtesiAusili

          public void setProtesiAusili(java.util.List<ProtesiAusilioResponseDTO> protesiAusili)